Subject: bug#74894: 29.4; Emacs not responding when calling python-fix-imports

From: kobarity <[email-masked]>
Date: Sun, 22 Dec 2024 10:21:09 +0900

Eli Zaretskii wrote:
> 
> > Date: Sun, 22 Dec 2024 00:16:53 +0900
> > From: kobarity <[email-masked]>
> > Cc: Keglo Stephane <[email-masked]>,
> > 	[email-masked]
> > 
> > Eli Zaretskii wrote:
> > > 
> > > > Date: Sun, 15 Dec 2024 02:52:53 +0000
> > > > From: Keglo Stephane <[email-masked]>
> > > > 
> > > > when writting a python code with a missing import, using
> > > > `python-fix-imports' make emacs not responding.
> > > 
> > > Thanks.  Could you please show a simple recipe for reproducing this?
> > > 
> > > kobarity, any comments or suggestions?
> > 
> > I have not been able to reproduce this so far, but I have found that
> > if the file is large, say 10000 lines, it takes a few seconds.
> > 
> > The other problem I found is that if I run `python-fix-imports'
> > without saving the buffer, I get the following error:
> > 
> > python exited with status 1
> > 
> > This occurs because isort cannot read the lock file (symbolic link)
> > such as ".#foo.py", which is created before the modified buffer is
> > saved.  Although I don't think this has anything to do with the
> > non-response issue.
> 
> Thanks.  So my request for a reproduction recipe still stands.  Keglo
> Stephane, could you please provide such a recipe?

If it is difficult to establish a reproduction recipe, please do a
little research in your environment.

While Emacs is not responding, run "top" to see if there is a process
with high CPU utilization.  It is likely Python or Emacs is using CPU.
If the CPU utilization of Python is high, please tell us the arguments
of the Python process.  If the CPU utilization of Emacs is high,
please check if you can abort with Ctrl-G or sending SIGUSR2 signal.
If you can abort, please send the backtrace:

1. emacs -Q
2. M-x load-fie
   Specify the location of python.el (or python.el.gz, not
   python.elc).  You can use M-x locate-library and enter "python" to
   locate the file.
3. M-x toggle-debug-on-quit
4. Reproduce the issue.
5. Abort with Ctrl-G or SIGUSR2.

Thanks in advance.